[OLSR-users] some problem about olsrd-0.4.9

John Gorkos (spam-protected)
Tue Apr 5 06:52:32 CEST 2005


Andreas-
  There's definitely something awry.  dyn_gw works fine on original WRT54G 
builds, but the newer build it will not run.  I removed the -lpthread from 
the Makefile and sent it out, and I get the same segfault as soon as it tries 
to load the plugin.
  I don't have a router anywhere near me to test on:  I'm in new orleans, and 
all of the routers are in Kansas.  I drove 14 hours to get here, so I'm a 
little loathe to drive back right away...  Unfortunately, I don't have gdb 
loaded on any of the routers, either, and since they're in production, I'd 
rather not monkey too much with them.  I've discovered that if you make 
massive changes to jffs, the router will not reboot (soft boot) properly, and 
you have to hard (power cycle) boot it.  Since that involves a person 
climbing into a 50 year old attic at an hourly rate, I try not to do it.
  I can give you a copy of the binary firmware I'm running on the new routers, 
if you'd like.  Perhaps you could load it onto one of yours and test with it.  
Sorry to be a pain.  I only need dyn_gw on two routers, and both of them are 
the old firmware, so it's not a showstopper for me.
  BTW, the current ipkg file is based on the CVS from a few days ago.  I ran 
another CVS update tonight and the only change in the tree was the release 
notes.  If the current CVS is what you released, then I'm just going to leave 
the .ipkg up on the ab0oo feed.  Let me know.

John Gorkos

On Monday 04 April 2005 15:11, Andreas T√łnnesen wrote:
> Hi Ken,
>
> Thanks for your quick feedback on 0.4.9!
> This could be a real showstopper... We could need your help in tracing
> the problem. What kind of configuration do you use? Do you use any
> plugins?
> Could you run olsrd in the GNU debugger? To start do:
> gdb olsrd
>
> Then if olsrd crashes you do:
>
> bt
> and send back the information this outputs.
>
> - Andreas
>
> ken chung wrote:
> > hi
> >
> > When I run olsrd-0.4.9(linux) in local machine, and other node is
> > running olsrd-0.4.8(window) between 2 nodes, the error occur:
> >
> >        *** olsr.org - 0.4.9 (Apr  5 2005) ***
> >
> > --- 03:34:17.61 ----------------------------------------------------
> > LINKS
> >
> > IP address       hyst   LQ     lost   total  NLQ    ETX
> > 10.1.2.3         0.000  0.000  0      0      0.000  0.00
> >
> > --- 03:34:17.61 ------------------------------------------------
> > NEIGHBORS
> >
> > IP address       LQ     NLQ    SYM   MPR   MPRS  will
> > 10.1.2.3         0.000  0.000  YES   NO    NO    6
> >
> > --- 03:34:17.61 -------------------------------------------------
> > TOPOLOGY
> >
> > Source IP addr   Dest IP addr     LQ     ILQ    ETX
> > Segmentation fault
> > [(spam-protected) olsrd-0.4.9]#
> >
> >
> > Can you tell me how to fix it?
> > Thnaks
> >
> > Ken
> >
> >
> > _______________________________________________
> > olsr-users mailing list
> > (spam-protected)
> > https://www.olsr.org/mailman/listinfo/olsr-users



More information about the Olsr-users mailing list